Page MenuHomePhabricator

NWE: Make links to &action=edit automatically redirect to NWE if beta feature is turned on
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

  1. Turn on NWE in beta features
  2. Go to any page on wiki
  3. Edit page and add external link like this: [https://cs.wikipedia.org/wiki/MyPage?action=edit Edit]
  4. Save and click on the newly created link

Expected behavior:
Link redirects to NWE automatically

Current behavior:
OWE is openned instead even if NWE is turned on in beta features

Event Timeline

Dvorapa created this task.Dec 28 2016, 9:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 28 2016, 9:20 AM

I just tested this on beta and with:

  • The wiki having SET enabled,
  • My preference set to remember-last, and
  • My last editor being a source editor,

browsing to action=edit will open NWE.

I just tested this on beta and with:

  • The wiki having SET enabled,
  • My preference set to remember-last, and
  • My last editor being a source editor,

browsing to action=edit will open NWE.

On cs.wiki still not working as expected

the production wikis use older code, I'm concerned with whether it's working on master (what beta runs)

Dvorapa updated the task description. (Show Details)Dec 29 2016, 6:39 PM

the production wikis use older code, I'm concerned with whether it's working on master (what beta runs)

When could we await this will be fixed on cswiki too?

AlexMonk-WMF added a comment.EditedDec 30 2016, 11:57 AM

The current production deployment schedule can be found at https://www.mediawiki.org/wiki/MediaWiki_1.29/Roadmap
I think 1.29.0-wmf.7 on cswiki will likely be scheduled for January 4th, when it would receive code up to date as of January 2nd

Jdforrester-WMF closed this task as Resolved.Jan 3 2017, 8:24 PM
Jdforrester-WMF assigned this task to Krenair.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Krenair added a subscriber: Krenair.